org.modeshape.sequencer.teiid

## Class VdbDataRole.Permission

- java.lang.Object
- - org.modeshape.sequencer.teiid.VdbDataRole.Permission

- Enclosing class:
    VdbDataRole

      public class VdbDataRole.Permission
      extends Object

  A simple POJO that is used to represent one data role permission found in the VDB manifest ("vdb.xml").

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VdbDataRole.Permission(String resourceName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `allowAlter(boolean newValue)`
    `void` | `allowCreate(boolean newValue)`
    `void` | `allowDelete(boolean newValue)`
    `void` | `allowExecute(boolean newValue)`
    `void` | `allowRead(boolean newValue)`
    `void` | `allowUpdate(boolean newValue)`
    `boolean` | `canAlter()`
    `boolean` | `canCreate()`
    `boolean` | `canDelete()`
    `boolean` | `canExecute()`
    `boolean` | `canRead()`
    `boolean` | `canUpdate()`
    `String` | `getResourceName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VdbDataRole.Permission

          public VdbDataRole.Permission(String resourceName)

      Parameters:
        `resourceName` - the resource name associated with the permission (cannot be `null` or empty)

  - ### Method Detail

    - #### allowAlter

          public void allowAlter(boolean newValue)

      Parameters:
        `newValue` - the new allow-alter value

    - #### allowCreate

          public void allowCreate(boolean newValue)

      Parameters:
        `newValue` - the new allow-create value

    - #### allowDelete

          public void allowDelete(boolean newValue)

      Parameters:
        `newValue` - the new allow-delete value

    - #### allowExecute

          public void allowExecute(boolean newValue)

      Parameters:
        `newValue` - the new allow-execute value

    - #### allowRead

          public void allowRead(boolean newValue)

      Parameters:
        `newValue` - the new allow-read value

    - #### allowUpdate

          public void allowUpdate(boolean newValue)

      Parameters:
        `newValue` - the new allow-update value

    - #### canAlter

          public boolean canAlter()

      Returns:
        `true` if the permission can alter

    - #### canCreate

          public boolean canCreate()

      Returns:
        `true` if the permission can create

    - #### canDelete

          public boolean canDelete()

      Returns:
        `true` if the permission can delete

    - #### canExecute

          public boolean canExecute()

      Returns:
        `true` if the permission can execute

    - #### canRead

          public boolean canRead()

      Returns:
        `true` if the permission can read

    - #### canUpdate

          public boolean canUpdate()

      Returns:
        `true` if the permission can update

    - #### getResourceName

          public String getResourceName()

      Returns:
        the resource name associated with the permission (never `null` or empty)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.